<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: communicationHandler Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-awesome.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only-darkmode-toggle.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA<span id="projectnumber">&#160;0.0.1</span>
   </div>
   <div id="projectbrief">Central de Parametrização do Autônomo</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d8e/classcommunication_handler_1_1communication_handler.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle"><div class="title">communicationHandler Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for communicationHandler:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d8e/classcommunication_handler_1_1communication_handler.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab139723ecdb72e82d09a28034f14f57a" id="r_ab139723ecdb72e82d09a28034f14f57a"><td class="memItemLeft" align="right" valign="top"><a id="ab139723ecdb72e82d09a28034f14f57a" name="ab139723ecdb72e82d09a28034f14f57a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, parent)</td></tr>
<tr class="separator:ab139723ecdb72e82d09a28034f14f57a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846f9b31091ec7b44cabfff03fcdbb7b" id="r_a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memItemLeft" align="right" valign="top"><a id="a846f9b31091ec7b44cabfff03fcdbb7b" name="a846f9b31091ec7b44cabfff03fcdbb7b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug</b> (self, str='')</td></tr>
<tr class="separator:a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac912ea3f643b9bf0a561e197b058e30a" id="r_ac912ea3f643b9bf0a561e197b058e30a"><td class="memItemLeft" align="right" valign="top"><a id="ac912ea3f643b9bf0a561e197b058e30a" name="ac912ea3f643b9bf0a561e197b058e30a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>getAvailablePorts</b> (self, name)</td></tr>
<tr class="separator:ac912ea3f643b9bf0a561e197b058e30a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb13a8868806769e7dd782ae1bcdb67" id="r_abdb13a8868806769e7dd782ae1bcdb67"><td class="memItemLeft" align="right" valign="top"><a id="abdb13a8868806769e7dd782ae1bcdb67" name="abdb13a8868806769e7dd782ae1bcdb67"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>addSerialChannel</b> (self)</td></tr>
<tr class="separator:abdb13a8868806769e7dd782ae1bcdb67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40ffbf7e2ac39dbdf330d524b268a14" id="r_ab40ffbf7e2ac39dbdf330d524b268a14"><td class="memItemLeft" align="right" valign="top"><a id="ab40ffbf7e2ac39dbdf330d524b268a14" name="ab40ffbf7e2ac39dbdf330d524b268a14"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>connectReceiver</b> (self, id, channel, slot)</td></tr>
<tr class="separator:ab40ffbf7e2ac39dbdf330d524b268a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0ba8096077b7658e1c67bfb9cfb1ece" id="r_af0ba8096077b7658e1c67bfb9cfb1ece"><td class="memItemLeft" align="right" valign="top"><a id="af0ba8096077b7658e1c67bfb9cfb1ece" name="af0ba8096077b7658e1c67bfb9cfb1ece"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>connectTransmitter</b> (self, id, channel, signal)</td></tr>
<tr class="separator:af0ba8096077b7658e1c67bfb9cfb1ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a457d913bff1ebc8671c1eca1c9d5fc03" id="r_a457d913bff1ebc8671c1eca1c9d5fc03"><td class="memItemLeft" align="right" valign="top"><a id="a457d913bff1ebc8671c1eca1c9d5fc03" name="a457d913bff1ebc8671c1eca1c9d5fc03"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>parent</b></td></tr>
<tr class="separator:a457d913bff1ebc8671c1eca1c9d5fc03"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a3a1f9e91600e342b572ac9e5a83372fe" id="r_a3a1f9e91600e342b572ac9e5a83372fe"><td class="memItemLeft" align="right" valign="top"><a id="a3a1f9e91600e342b572ac9e5a83372fe" name="a3a1f9e91600e342b572ac9e5a83372fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug_timer</b> = None</td></tr>
<tr class="separator:a3a1f9e91600e342b572ac9e5a83372fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44ca13ec5016503315b6d0345089b4d4" id="r_a44ca13ec5016503315b6d0345089b4d4"><td class="memItemLeft" align="right" valign="top"><a id="a44ca13ec5016503315b6d0345089b4d4" name="a44ca13ec5016503315b6d0345089b4d4"></a>
dict&#160;</td><td class="memItemRight" valign="bottom"><b>channel_ledger</b> = {}</td></tr>
<tr class="separator:a44ca13ec5016503315b6d0345089b4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>python/<b>communicationHandler.py</b></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>communicationHandler</b></li><li class="navelem"><a class="el" href="../../d0/d8e/classcommunication_handler_1_1communication_handler.html">communicationHandler</a></li>
    <li class="footer">Generated on Wed Dec 6 2023 13:24:22 for CPA by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
